(function(){
    'use strict';
    angular.module('sisatosApp')
            .registerCtrl('InserirPessoaCtrl', 
                            ['$scope', '$http', 'Page', function($scope, $http, Page) {               
                    
                init($scope, Page);

                $scope.onSubmit = function(){
                  $scope.submitClass = true;  
                  $http({
                     url: 'app/model/ajax/ajax_pessoas.php',
                     method: 'POST',
                     params: {'acao':'pesquisarEinserirPessoa','duplicar':$scope.duplicar},
                     data: $scope.formModel
                 }).then(function(data){
                        $scope.return = data;
                        $scope.submitClass = false;
                        if(data.data.duplicidade){
                            $scope.mostraDuplicidade = data.data;
                        }else{
                            $scope.mostraDuplicidade = false;
                            window.location.href='#/Pessoas/editar/'+data.data.idPessoa;
                        }

                    },function(data){
                       console.log("Erro no Método 'onSubmit'");
                       console.log(data);
                    });
                };
                
                $scope.PessoaDuplicada = function(){
                    window.location.href='#/Pessoas/editar/'+$scope.mostraDuplicidade.idPessoa;
                };
            }]);            
        function init($scope, Page){
            Page.setTitulo('Cadastrar Nova Pessoa');

            $scope.formModel         = {};
            $scope.submitClass       = false;
            $scope.duplicar          = false;
            $scope.mostraDuplicidade = false;
            $scope.return            = false;
        }
})();